Bug 1836431 - Support Deployment with Autoscaler on existing cluster
Summary: Support Deployment with Autoscaler on existing cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2
Assignee: Guillaume Abrioux
QA Contact: Manasa
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1890121 1816167
TreeView+ depends on / blocked
 
Reported: 2020-05-15 21:15 UTC by Ameena Suhani S H
Modified: 2021-06-09 16:16 UTC (History)
14 users (show)

Fixed In Version: ceph-ansible-4.0.38-1.el8cp, ceph-ansible-4.0.38-1.el7cp
Doc Type: Known Issue
Doc Text:
.Deploying the placement group autoscaler does not work as expected on CephFS related pools only To work around this issue, the placement group autoscaler can be manually enabled on CephFS related pools after the playbook has run.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:55:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 5669 0 None closed mgr: enable pg_autoscaler by default 2021-02-12 20:43:47 UTC
Github ceph ceph-ansible pull 5862 0 None closed mds: support enabling pg autoscaler on rerun 2021-02-12 20:43:47 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:57 UTC

Description Ameena Suhani S H 2020-05-15 21:15:30 UTC
Description of problem:

On standalone ceph, autoscalar feature is currently only supported on a newly deployed cluster or on an existing cluster using --limit mdss(prereq: no mds deployed previously) as in [1].

This bug is an improvement to support enabling of autoscalar feature on an existing cluster which has MDS daemon(i.e cephfs_data and cephfs_metadata pools)

[1]https://bugzilla.redhat.com/show_bug.cgi?id=1812929

Version-Release number of selected component (if applicable):

ceph-ansible-4.0.23-1.el7cp.noarch

Comment 8 Manasa 2020-09-07 09:09:28 UTC
I tried executing the site.yml playbook after updating the pg_autoscale_mode to True and setting target_size_ratio on ansible and ceph versions given below.

ansible-2.8.15-1.el8ae.noarch
ceph-ansible-4.0.25.2-1.el8cp.noarch

ceph version 14.2.8-91.el8cp 

I referred to the documentation given in https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/4/html-single/installation_guide/index?lb_target=preview#the-placement-group-autoscaler_install

The task for enabling autoscale is getting skipped, I have attached the logs and all.yml used.

Please let me know your views on this.

Comment 12 Manasa 2020-09-29 10:25:38 UTC
Hi Guillaume,

Sure, this bug can be re targeted to 4.3, I do not see any concern with this.

Regards,
Manasa Gowri

Comment 19 errata-xmlrpc 2021-01-12 14:55:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.